org.apache.cayenne.access.jdbc

## Class ColumnDescriptor

- java.lang.Object
- - org.apache.cayenne.access.jdbc.ColumnDescriptor

- All Implemented Interfaces:
    Serializable

      public class ColumnDescriptor
      extends Object
      implements Serializable

  A descriptor of a ResultSet column.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `dataRowKey`
    `protected String` | `javaClass`
    `protected int` | `jdbcType`
    `protected String` | `name`
    `protected String` | `namePrefix`
    `protected String` | `procedureName`
    `protected String` | `tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDescriptor()` Creates a ColumnDescriptor
    `ColumnDescriptor(DbAttribute attribute, String tableAlias)` Creates a ColumnDescriptor from Cayenne DbAttribute.
    `ColumnDescriptor(ObjAttribute objAttribute, DbAttribute dbAttribute, String columnAlias)`
    `ColumnDescriptor(ProcedureParameter parameter)` Creates a ColumnDescriptor from stored procedure parameter.
    `ColumnDescriptor(ResultSetMetaData metaData, int position)` Creates a ColumnDescriptor using ResultSetMetaData.
    `ColumnDescriptor(String columnName, int jdbcType)` Creates a column descriptor with user-specified parameters.
    `ColumnDescriptor(String columnName, int jdbcType, String javaClass)` Deprecated. since 3.1 use ColumnDescriptor(String columnName, int jdbcType) instead
    `ColumnDescriptor(String columnName, ResultSetMetaData metaData, int position)` Creates a ColumnDescriptor using ResultSetMetaData.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Returns true if another object is a ColumnDescriptor with the same name, name prefix, table and procedure names.
    `String` | `getDataRowKey()`
    `String` | `getDefaultJavaClass(int size, int scale)` Deprecated. use TypesMapping.getJavaBySqlType(int type) instead
    `String` | `getJavaClass()`
    `int` | `getJdbcType()`
    `String` | `getName()` Returns column name.
    `String` | `getProcedureName()` Returns the name of the parent stored procedure.
    `String` | `getQualifiedColumnName()` Returns "qualifiedColumnName" property.
    `String` | `getQualifiedColumnNameWithQuoteSqlIdentifiers(QuotingStrategy strategy)`
    `String` | `getTableName()` Returns the name of the parent table.
    `int` | `hashCode()`
    `void` | `setDataRowKey(String dataRowKey)`
    `void` | `setJavaClass(String string)`
    `void` | `setJdbcType(int i)`
    `void` | `setName(String name)`
    `void` | `setProcedureName(String procedureName)`
    `void` | `setTableName(String tableName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tableName

          protected String tableName

    - #### procedureName

          protected String procedureName

    - #### name

          protected String name

    - #### namePrefix

          protected String namePrefix

    - #### dataRowKey

          protected String dataRowKey

    - #### jdbcType

          protected int jdbcType

    - #### javaClass

          protected String javaClass

  - ### Constructor Detail

    - #### ColumnDescriptor

          public ColumnDescriptor()

      Creates a ColumnDescriptor

    - #### ColumnDescriptor

          @Deprecated
          public ColumnDescriptor(String columnName,
                                               int jdbcType,
                                               String javaClass)

      Deprecated. since 3.1 use ColumnDescriptor(String columnName, int jdbcType) instead
      Creates a column descriptor with user-specified parameters.
      Since:
        1.2

    - #### ColumnDescriptor

          public ColumnDescriptor(String columnName,
                                  int jdbcType)

      Creates a column descriptor with user-specified parameters.
      Since:
        3.1

    - #### ColumnDescriptor

          public ColumnDescriptor(DbAttribute attribute,
                                  String tableAlias)

      Creates a ColumnDescriptor from Cayenne DbAttribute.
      Since:
        1.2

    - #### ColumnDescriptor

          public ColumnDescriptor(ObjAttribute objAttribute,
                                  DbAttribute dbAttribute,
                                  String columnAlias)

      Since:
        1.2

    - #### ColumnDescriptor

          public ColumnDescriptor(ProcedureParameter parameter)

      Creates a ColumnDescriptor from stored procedure parameter.
      Since:
        1.2

    - #### ColumnDescriptor

          public ColumnDescriptor(String columnName,
                                  ResultSetMetaData metaData,
                                  int position)
                           throws SQLException

      Creates a ColumnDescriptor using ResultSetMetaData.
      Throws:
        `SQLException`
      Since:
        3.1

    - #### ColumnDescriptor

          public ColumnDescriptor(ResultSetMetaData metaData,
                                  int position)
                           throws SQLException

      Creates a ColumnDescriptor using ResultSetMetaData.
      Throws:
        `SQLException`
      Since:
        1.2

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Returns true if another object is a ColumnDescriptor with the same name, name prefix, table and procedure names. Other fields are ignored in the equality test.
      Overrides:
        `equals` in class `Object`
      Since:
        1.2

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      Since:
        1.2

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Since:
        1.2

    - #### getDefaultJavaClass

          @Deprecated
          public String getDefaultJavaClass(int size,
                                                         int scale)

      Deprecated. use TypesMapping.getJavaBySqlType(int type) instead
      Returns a default Java class for an internal JDBC type.
      Since:
        1.2

    - #### getQualifiedColumnName

          public String getQualifiedColumnName()

      Returns "qualifiedColumnName" property.
      Since:
        1.2

    - #### getQualifiedColumnNameWithQuoteSqlIdentifiers

          public String getQualifiedColumnNameWithQuoteSqlIdentifiers(QuotingStrategy strategy)

    - #### getJdbcType

          public int getJdbcType()

    - #### getName

          public String getName()

      Returns column name. Name is an unqualified column name in a query.

    - #### setJdbcType

          public void setJdbcType(int i)

    - #### setName

          public void setName(String name)

    - #### getJavaClass

          public String getJavaClass()

    - #### setJavaClass

          public void setJavaClass(String string)

    - #### getTableName

          public String getTableName()

      Returns the name of the parent table.
      Since:
        1.2

    - #### setTableName

          public void setTableName(String tableName)

      Since:
        1.2

    - #### getProcedureName

          public String getProcedureName()

      Returns the name of the parent stored procedure.
      Since:
        1.2

    - #### setProcedureName

          public void setProcedureName(String procedureName)

      Since:
        1.2

    - #### getDataRowKey

          public String getDataRowKey()

      Since:
        3.0

    - #### setDataRowKey

          public void setDataRowKey(String dataRowKey)

      Since:
        3.0

Copyright © 2001–2018 Apache Cayenne. All rights reserved.